import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class AgreePage extends StatelessWidget {
  final String title;
  final String url;

  const AgreePage({super.key, required this.title, required this.url});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(title),
      ),
      body: WebViewWidget(
        controller: WebViewController()
          ..setJavaScriptMode(JavaScriptMode.unrestricted)
          ..loadRequest(Uri.parse(url)),
      ),
    );
  }
}
